Skip to main content
GET
List Vault Locks

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Vaults:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

vaultId
string
required

Vault id.

Required string length: 1 - 64
Pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Query Parameters

limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 500
paginationToken
string

Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.

Minimum string length: 1
network
string
tid
string

Response

200 - application/json

Success

items
object[]
required

Current page items.

nextPageToken
string

token to use as paginationToken to request the next page.

Last modified on August 6, 2026